Subject: bug#21099: 24.3; bibtex-clean-entry and date fields in biblatex

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Aug 2019 22:23:37 +0200

Brian Zbriger <[email-masked]> writes:

> `bibtex-clean-entry` removes curly braces from date fields, even if
> `bibtex-dialect` is set to `biblatex`. I have not been able to find
> documentation on this issue, but in my experience using latexmk and
> biber, this makes the entry invalid. I have had to re-add the curly braces
> to get my .bib files working again.
>
> If I am correct in thinking that dates with curly braces are generally
> compatible with biblatex, they should be left alone. Otherwise there
> should be an option to have them left alone.

(I'm going through old bug reports that have unfortunately not gotten
any responses.)

If this bug is still present, could you post a test case?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no